reader_writer_lock.cpp File Reference
`#include "tbb/reader_writer_lock.h"`
`#include "tbb/tbb_machine.h"`
`#include "tbb/tbb_exception.h"`
`#include "itt_notify.h"`
Include dependency graph for reader_writer_lock.cpp:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::interface5

## Functions

uintptr_t | tbb::interface5::fetch_and_or (atomic< uintptr_t > &operand, uintptr_t value)
uintptr_t | tbb::interface5::fetch_and_and (atomic< uintptr_t > &operand, uintptr_t value)
template<typename T , typename U >
void | tbb::interface5::spin_wait_while_geq (const volatile T &location, U value)
| Spin WHILE the value at the location is greater than or equal to a given value. More...
template<typename T , typename U >
void | tbb::interface5::spin_wait_until_and (const volatile T &location, U value)
| Spin UNTIL (location & value) is true. More...

## Variables

const uintptr_t | tbb::interface5::WFLAG1 = 0x1
const uintptr_t | tbb::interface5::WFLAG2 = 0x2
const uintptr_t | tbb::interface5::RFLAG = 0x4
const uintptr_t | tbb::interface5::RC_INCR = 0x8

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.